      subroutine logo

      use inprms
      use drivekk
      use partcls
      use couplsmkk

      implicit none

      integer :: i,j

      write(6,4000)
      write(6,2000)
      write(6,5000)
      write(6,2000)
      write(6,'(a$)') '#                         '
      do i=1,nisp
       write(6,'(a$)') trim(expc(i))//' '
      end do
      write(6,'(a$)') ' ->  '
      do i=nisp+1,nepl-1
       write(6,'(a$)') trim(expc(i))//' '
      end do
      write(6,'(a)') trim(expc(nepl))

      write(6,2000)
      write(6,5010) trim(adjustl(prvrsn))
      write(6,2000)
      write(6,5020)
      write(6,5030)
      write(6,5040)
      write(6,5050)
      write(6,2000)
      write(6,4000)

 2000 format('#')
 2005 format(' ')
 4000 format('#=======================================================',
     &       '======================#')
 5000 format('# Approaching the process:')
 5010 format('# with ',a)
 5020 format('#                            Karol Kolodziej')
 5030 format('#                         University of Silesia')
 5040 format('#                            Katowice, Poland')
 5050 format('#                   e-mail: karol.kolodziej@us.edu.pl')

      if (ischeme == 1) then
        write(6,2095)
 2095   format('# Complex mass scheme')
        write(6,5029) csw2
 5029   format('# with sw2 = (',f18.15,',',f18.15,')')
      else
        write(6,2098) sw2
 2098   format('# Fixed width scheme with real sw2, sw2 =', f18.15)
      end if

      write(6,5035) ialphw
 5035 format('# alpha_W kept real, 1/alpha_W = ',f19.15)

      write(6,2000)

      write(6,2120)
 2120 format('# Gauge boson masses and widths:',
     &           ' W, Gm_W, Z, Gm_Z')
      write(6,1002) mw,gamw,mz,gamz
 1002 format('# ',4(f12.5))
c      write(6,2121) gamwsm0
c 2121 format('# W boson width to the lowest order of SM:',f22.16)
      write(6,2000)

      write(6,2122)
 2122 format('# Higgs boson mass and width: H, Gm_H')
      write(6,2002) mh,gamh
 2002 format('# ',2(e15.5))

      write(6,2000)

      write(6,1003) ialph0,alphas,gmu
 1003 format('# 1/alpha0 = ',f11.7,'   alphas = ',f9.7,
     &       '   G_mu = ',e13.6)

      write(6,2000)
      write(6,2110)
 2110 format('# t-quark mass and width:')

      write(6,1020) mt,gamt
 1020 format('#',f10.2,f12.5)
      write(6,2000)

      write(6,2100)
 2100 format('# External fermion masses:')
      do j=1,nepl
       write(6,2102) trim(expc(j)),m(j)
 2102  format('#  m(',a,') =',e15.8)
      end do
      write(6,2000)

      write(6,5070) convc
 5070 format('# All cross sections in picobarns (pb), convc =',e17.10)

      if (nmcs > 0) then
       write(6,'(a)') '# Monte Carlo summing over helicities of '//
     &                'external prticles'
      end if
      if (iewk == 1) then
       write(6,'(a)') '# Pure electroweak contributions'
      end if
      if (ihgs == 1) then
       write(6,'(a)') '# Higgs boson contributions discarded'
      end if

      end
