  
      function mpol2(h,comfac)
  
      use mmodkk1
  
      implicit none
  
      integer, parameter :: rdgs=2
      integer :: h,i,j
      real(8) :: mpol2,comfac(rdgs,rdgs)
      complex(8) :: mtmp,mat(rdgs)
  
      call mdkk1(h)
  
      include 'mtdr1.f'
      include 'mtdr2.f'
  
      mpol2=0.d0
  
      do i=1,rdgs
       mtmp=(0.d0,0.d0)
       do j=i,rdgs
        if (j == i) then
         mtmp=mtmp+comfac(i,j)*mat(j)
        else
         mtmp=mtmp+2.d0*comfac(i,j)*mat(j)
        end if
       end do
       mpol2=mpol2+conjg(mat(i))*mtmp
      end do
  
      end function mpol2
